Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add spruned application and nixos module #50382

Closed
wants to merge 6 commits into from

Conversation

@jb55
Copy link
Contributor

commented Nov 15, 2018

Motivation for this change

spruned is a lightweight Bitcoin pseudonode with RPC that can fetch any block or transaction

Things done
  • Tested using sandboxing (nix.useSandbox on NixOS, or option sandbox in nix.conf on non-NixOS)
  • Built on platform(s)
    • NixOS
    • macOS
    • other Linux distributions
  • Tested via one or more NixOS test(s) if existing and applicable for the change (look inside nixos/tests)
  • Tested compilation of all pkgs that depend on this change using nix-shell -p nox --run "nox-review wip"
  • Tested execution of all binary files (usually in ./result/bin/)
  • Determined the impact on package closure size (by running nix path-info -S before and after)
  • Fits CONTRIBUTING.md.

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Failure on x86_64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

/build/spruned-0.0.4b4/dist /build/spruned-0.0.4b4
Processing ./spruned-0.0.4b4-py3-none-any.whl
Requirement already satisfied: aiohttp in /nix/store/kybynzj8s0x00nnc40jmi4hpfn2p5gbp-python3.6-aiohttp-3.4.4/lib/python3.6/site-packages (from spruned==0.0.4b4) (3.4.4)
Requirement already satisfied: daemonize in /nix/store/wdjwwwr2iv5xcfbxkc72mg7f5s0g80q3-python3.6-daemonize-2.4.2/lib/python3.6/site-packages (from spruned==0.0.4b4) (2.4.2)
Requirement already satisfied: pycoin==0.80 in /nix/store/crvx2zyqca914nnbw0x6qkmf875gs4x6-python3.6-pycoin-0.80/lib/python3.6/site-packages (from spruned==0.0.4b4) (0.80)
Collecting plyvel==0.9.0 (from spruned==0.0.4b4)
  Could not find a version that satisfies the requirement plyvel==0.9.0 (from spruned==0.0.4b4) (from versions: )
No matching distribution found for plyvel==0.9.0 (from spruned==0.0.4b4)
builder for '/nix/store/5jhvwr0x13mjq5a6hclg04c07zh3dkvg-spruned-0.0.4b4.drv' failed with exit code 1
error: build of '/nix/store/5jhvwr0x13mjq5a6hclg04c07zh3dkvg-spruned-0.0.4b4.drv' failed

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Failure on aarch64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

Requirement already satisfied: async-timeout in /nix/store/sl7m1k3j8dg6ii631312mkh6sqqlv0z6-python3.6-async-timeout-3.0.1/lib/python3.6/site-packages (from spruned==0.0.4b4) (3.0.1)
Requirement already satisfied: sqlalchemy==1.2.* in /nix/store/n49llq9lr5lpvj5z1r166g503ymgf138-python3.6-SQLAlchemy-1.2.12/lib/python3.6/site-packages (from spruned==0.0.4b4) (1.2.12)
Requirement already satisfied: aiohttp in /nix/store/ahrhyxcsnll4jqvsw1124nfwsaxsq477-python3.6-aiohttp-3.4.4/lib/python3.6/site-packages (from spruned==0.0.4b4) (3.4.4)
Requirement already satisfied: daemonize in /nix/store/nhlihy6xfd871dbw8i164y9d76d9izx0-python3.6-daemonize-2.4.2/lib/python3.6/site-packages (from spruned==0.0.4b4) (2.4.2)
Requirement already satisfied: pycoin==0.80 in /nix/store/bqwisyinr4hfa5awcw3q3mi5zm9nyz5s-python3.6-pycoin-0.80/lib/python3.6/site-packages (from spruned==0.0.4b4) (0.80)
Collecting plyvel==0.9.0 (from spruned==0.0.4b4)
  Could not find a version that satisfies the requirement plyvel==0.9.0 (from spruned==0.0.4b4) (from versions: )
No matching distribution found for plyvel==0.9.0 (from spruned==0.0.4b4)
builder for '/nix/store/p79hkgzrmyz5qr8brav3h1h0c1aywxx6-spruned-0.0.4b4.drv' failed with exit code 1
error: build of '/nix/store/p79hkgzrmyz5qr8brav3h1h0c1aywxx6-spruned-0.0.4b4.drv' failed

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Success on x86_64-darwin (full log)

Attempted: python

The following builds were skipped because they don't evaluate on x86_64-darwin: spruned

Partial log (click to expand)

a) For `nixos-rebuild` you can set
  { nixpkgs.config.allowUnsupportedSystem = true; }
in configuration.nix to override this.

b) For `nix-env`, `nix-build`, `nix-shell` or any other Nix command you can add
  { allowUnsupportedSystem = true; }
to ~/.config/nixpkgs/config.nix.


/nix/store/c6mnc84yva1wa85nzjfha6mxfsk6qbg7-python-2.7.15

@jb55

This comment has been minimized.

Copy link
Contributor Author

commented Nov 15, 2018

missed a few things, fixing

@ryantm
Copy link
Member

left a comment

Thanks for the contribution. Here's some minor feedback!

nixos/modules/services/networking/spruned.nix Outdated Show resolved Hide resolved
nixos/modules/services/networking/spruned.nix Outdated Show resolved Hide resolved
pkgs/applications/altcoins/spruned/default.nix Outdated Show resolved Hide resolved
nixos/modules/services/networking/spruned.nix Outdated Show resolved Hide resolved

serviceConfig = {
Restart = "on-abort";
ExecStart = "${pkgs.spruned}/bin/spruned ${cliArgs}";

This comment has been minimized.

Copy link
@Infinisil

Infinisil Nov 15, 2018

Member

Like this, the service runs as root. Try using the DynamicUser and StateDirectory systemd settings (man systemd.exec) to prevent that.

This comment has been minimized.

Copy link
@jb55

jb55 Nov 15, 2018

Author Contributor

so I tried running it as non-root by first using user services and then assigned users, but spruned calls out to ping and doesn't work without it. I couldn't figure out how to make a systemd service that uses ping and isn't root. I looked into the CapabilityBoundingSet CAP_NET_RAW thing but it didn't seem to work.

This comment has been minimized.

Copy link
@Infinisil

Infinisil Nov 16, 2018

Member

Use /run/wrappers/bin/ping instead of the ping in iputils. And really try to use DynamicUser, I think it should work.

This comment has been minimized.

Copy link
@jb55

jb55 Nov 16, 2018

Author Contributor

ok I'll try to take another pass at this and patch spruned to use /run/wrappers/bin/ping and switch to DynamicUser. Why DynamicUser instead of a user service?

This comment has been minimized.

Copy link
@ryantm

ryantm Nov 16, 2018

Member

DynamicUser lets you can run an un-elevated service without assigning it a system user id.

This comment has been minimized.

Copy link
@jb55

jb55 Nov 17, 2018

Author Contributor

I'm getting this when I try to run with DynamicUser:

Nov 17 12:42:17 monad systemd[1]: Started spruned service.
Nov 17 12:42:17 monad spruned[17804]: Failed to import the site module
Nov 17 12:42:17 monad spruned[17804]: Traceback (most recent call last):
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/site.py", line 544, in <module>
Nov 17 12:42:17 monad spruned[17804]:     main()
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/site.py", line 530, in main
Nov 17 12:42:17 monad spruned[17804]:     known_paths = addusersitepackages(known_paths)
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/site.py", line 282, in addusersitepackages
Nov 17 12:42:17 monad spruned[17804]:     user_site = getusersitepackages()
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/site.py", line 258, in getusersitepackages
Nov 17 12:42:17 monad spruned[17804]:     user_base = getuserbase() # this will also set USER_BASE
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/site.py", line 248, in getuserbase
Nov 17 12:42:17 monad spruned[17804]:     USER_BASE = get_config_var('userbase')
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/sysconfig.py", line 601, in get_config_var
Nov 17 12:42:17 monad spruned[17804]:     return get_config_vars().get(name)
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/sysconfig.py", line 558, in get_config_vars
Nov 17 12:42:17 monad spruned[17804]:     _CONFIG_VARS['userbase'] = _getuserbase()
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/sysconfig.py", line 205, in _getuserbase
Nov 17 12:42:17 monad spruned[17804]:     return joinuser("~", ".local")
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/sysconfig.py", line 184, in joinuser
Nov 17 12:42:17 monad spruned[17804]:     return os.path.expanduser(os.path.join(*args))
Nov 17 12:42:17 monad spruned[17804]:   File "/nix/store/nrl0l79a48924xb0897ap572xf29ciir-python3-3.6.6/lib/python3.6/posixpath.py", line 249, in expanduser
Nov 17 12:42:17 monad spruned[17804]:     userhome = pwd.getpwuid(os.getuid()).pw_dir
Nov 17 12:42:17 monad spruned[17804]: KeyError: 'getpwuid(): uid not found: 61833'
Nov 17 12:42:17 monad systemd[1]: spruned.service: Main process exited, code=exited, status=1/FAILURE
Nov 17 12:42:17 monad systemd[1]: spruned.service: Failed with result 'exit-code'.
pkgs/applications/altcoins/spruned/default.nix Outdated Show resolved Hide resolved
@jb55

This comment has been minimized.

Copy link
Contributor Author

commented Nov 15, 2018

range-diff v1 -> v2

1:  f4f6217cfb1 = 1:  f4f6217cfb1 altcoins: remove haskellPackages from input arguments
2:  31b93d6b70e = 2:  31b93d6b70e python: pycoin: init at 0.80
3:  c6018ab3f51 = 3:  c6018ab3f51 python: apply-default: init at 0.1.1
4:  f8b62675675 = 4:  f8b62675675 python: jsonrpcserver: init at 3.5.6
5:  a769c143ff6 ! 5:  9232550f85b spruned: init at 0.0.4b4

@@ -14,7 +14,7 @@
    bitcoin  = libsForQt5.callPackage ./bitcoin.nix { miniupnpc = miniupnpc_2; withGui = true; };
    bitcoind = callPackage ./bitcoin.nix { miniupnpc = miniupnpc_2; withGui = false; };
    clightning = callPackage ./clightning.nix { };
-+  spruned = callPackage ./spruned { pythonPackages = python3.pkgs; };
++  spruned = callPackage ./spruned { };
  
    bitcoin-abc  = libsForQt5.callPackage ./bitcoin-abc.nix { boost = boost165; withGui = true; };
    bitcoind-abc = callPackage ./bitcoin-abc.nix { boost = boost165; withGui = false; };
@@ -24,12 +24,14 @@
 --- /dev/null
 +++ b/pkgs/applications/altcoins/spruned/default.nix
 @@
-+{ stdenv, pythonPackages }:
++{ stdenv, python3 }:
 +
++let
++  pythonPackages = python3.pkgs;
++in
 +with stdenv.lib;
 +pythonPackages.buildPythonApplication rec {
 +  pname = "spruned";
-+  name = "${pname}-${version}";
 +  version = "0.0.4b4";
 +
 +  src = pythonPackages.fetchPypi {
@@ -58,7 +60,8 @@
 +      --replace 'aiohttp==3.0.0b0' aiohttp \
 +      --replace 'daemonize==2.4.7' daemonize \
 +      --replace 'async-timeout==2.0.1' async-timeout \
-+      --replace 'jsonrpcserver==3.5.3' jsonrpcserver
++      --replace 'jsonrpcserver==3.5.3' jsonrpcserver \
++      --replace 'plyvel==0.9.0' plyvel
 +  '';
 +
 +  doCheck = false;



6:  4cba35865e1 ! 6:  3ff5cc8aa37 nixos/spruned: init module

@@ -37,16 +37,10 @@
 +{
 +  options = {
 +    services.spruned = {
-+      enable = mkOption {
-+        type = types.bool;
-+        default = false;
-+        description = ''
-+          Whether or not to enable the spruned lightweight Bitcoin pseudonode
-+          daemon service.
-+        '';
-+      };
++      enable = mkEnableOption "The spruned lightweight Bitcoin pseudonode daemon service";
 +      dataDir = mkOption {
-+        type = types.string;
++        type = types.str;
++        default = "/var/lib/spruned";
 +        description = ''
 +          Directory to store cached block data and spruned logs.
 +        '';
@@ -59,7 +53,7 @@
 +        '';
 +      };
 +      extraArguments = mkOption {
-+        type = types.string;
++        type = types.separatedString " ";
 +        example = "--mempoolsize 20 --debug";
 +        default = "";
 +        description = ''

@jb55 jb55 force-pushed the jb55:spruned-master branch Nov 15, 2018

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Success on aarch64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

/build/spruned-0.0.4b4
post-installation fixup
shrinking RPATHs of ELF executables and libraries in /nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4
strip is /nix/store/p9akxn2sfy4wkhqdqa3li97pc6jaz3r1-binutils-2.30/bin/strip
stripping (with command strip and flags -S) in /nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4/lib  /nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4/bin
patching script interpreter paths in /nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4
checking for references to /build in /nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4...
wrapping `/nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4/bin/spruned'...
/nix/store/74b1xd5srd6ja54xwznvbrd5hcfl6k1n-python-2.7.15
/nix/store/byss4vmrbjkc7ggbwd552ibc7fghr559-spruned-0.0.4b4

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Success on x86_64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

/build/spruned-0.0.4b4
post-installation fixup
shrinking RPATHs of ELF executables and libraries in /nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4
strip is /nix/store/vcc4svb8gy29g4pam2zja6llkbcwsyiq-binutils-2.30/bin/strip
stripping (with command strip and flags -S) in /nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4/lib  /nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4/bin
patching script interpreter paths in /nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4
checking for references to /build in /nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4...
wrapping `/nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4/bin/spruned'...
/nix/store/2brlr94ahy3a9mvcjy0qbqpv8zrb7b7s-python-2.7.15
/nix/store/h4hvc15idnpmyc8agsqpyx7zi9388kgf-spruned-0.0.4b4

{
options = {
services.spruned = {
enable = mkEnableOption "The spruned lightweight Bitcoin pseudonode daemon service";

This comment has been minimized.

Copy link
@ryantm

ryantm Nov 15, 2018

Member

You might be sad that you used a capital "T" here.

description = "Whether to enable ${name}."; https://github.com/NixOS/nixpkgs/blob/master/lib/options.nix#L68

This comment has been minimized.

Copy link
@jb55

jb55 Nov 16, 2018

Author Contributor

😅

@ryantm
ryantm approved these changes Nov 15, 2018
@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 15, 2018

Success on x86_64-darwin (full log)

Attempted: python

The following builds were skipped because they don't evaluate on x86_64-darwin: spruned

Partial log (click to expand)

a) For `nixos-rebuild` you can set
  { nixpkgs.config.allowUnsupportedSystem = true; }
in configuration.nix to override this.

b) For `nix-env`, `nix-build`, `nix-shell` or any other Nix command you can add
  { allowUnsupportedSystem = true; }
to ~/.config/nixpkgs/config.nix.


/nix/store/c6mnc84yva1wa85nzjfha6mxfsk6qbg7-python-2.7.15


serviceConfig = {
Restart = "on-abort";
ExecStart = "${pkgs.spruned}/bin/spruned ${cliArgs}";

This comment has been minimized.

Copy link
@Infinisil

Infinisil Nov 16, 2018

Member

Use /run/wrappers/bin/ping instead of the ping in iputils. And really try to use DynamicUser, I think it should work.

jb55 added 6 commits Nov 15, 2018
python: pycoin: init at 0.80
Signed-off-by: William Casarin <jb55@jb55.com>
altcoins: remove haskellPackages from input arguments
It doesn't seem to be used

Signed-off-by: William Casarin <jb55@jb55.com>
python: apply-default: init at 0.1.1
This is needed by jsonrpcserver

Signed-off-by: William Casarin <jb55@jb55.com>
python: jsonrpcserver: init at 3.5.6
There is a newer version (4.0.0), but this one is required for spruned.

Signed-off-by: William Casarin <jb55@jb55.com>
spruned: init at 0.0.4b4
spruned is a lightweight Bitcoin pseudonode designed to fetch any block or
transaction.

Signed-off-by: William Casarin <jb55@jb55.com>
nixos/spruned: init module
This adds a nixos module for spruned, the lightweight Bitcoin pseudonode

Needs root because of ping.

Signed-off-by: William Casarin <jb55@jb55.com>

@jb55 jb55 force-pushed the jb55:spruned-master branch to 8311ab2 Nov 17, 2018

@jb55

This comment has been minimized.

Copy link
Contributor Author

commented Nov 17, 2018

DynamicUser didn't seem to work, but it seems to work ok as a user service.

v2 -> v3:

1:  f4f6217cfb1 = 1:  8fdb7dbb5a7 altcoins: remove haskellPackages from input arguments
2:  31b93d6b70e = 2:  e664d19caff python: pycoin: init at 0.80
3:  c6018ab3f51 = 3:  03ee97f0d43 python: apply-default: init at 0.1.1
4:  f8b62675675 = 4:  7715ba1d5c9 python: jsonrpcserver: init at 3.5.6

5:  9232550f85b ! 5:  e34041c3b76 spruned: init at 0.0.4b4
@@ -55,6 +55,9 @@
 +  patchPhase = ''
 +    sed -i 's,import spruned,,;s,spruned.__version__,"${version}",' setup.py
 +
++    substituteInPlace spruned/application/tools.py \
++      --replace "subprocess.call(['ping" "subprocess.call(['/run/wrappers/bin/ping"
++
 +    substituteInPlace requirements.txt \
 +      --replace 'sqlalchemy==1.2.6' 'sqlalchemy==1.2.*' \
 +      --replace 'aiohttp==3.0.0b0' aiohttp \


6:  3ff5cc8aa37 ! 6:  8311ab29521 nixos/spruned: init module
@@ -64,14 +64,11 @@
 +  };
 +
 +  config = mkIf cfg.enable {
-+    systemd.services.spruned = {
++    systemd.user.services.spruned = {
 +      description = "spruned service";
 +      after = [ "local-fs.target" "network.target" ];
 +      wantedBy = [ "multi-user.target" ];
 +
-+      # needs ping
-+      path = [ pkgs.iputils ];
-+
 +      serviceConfig = {
 +        Restart = "on-abort";
 +        ExecStart = "${pkgs.spruned}/bin/spruned ${cliArgs}";
@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 17, 2018

Success on x86_64-darwin (full log)

Attempted: python

The following builds were skipped because they don't evaluate on x86_64-darwin: spruned

Partial log (click to expand)

a) For `nixos-rebuild` you can set
  { nixpkgs.config.allowUnsupportedSystem = true; }
in configuration.nix to override this.

b) For `nix-env`, `nix-build`, `nix-shell` or any other Nix command you can add
  { allowUnsupportedSystem = true; }
to ~/.config/nixpkgs/config.nix.


/nix/store/c6mnc84yva1wa85nzjfha6mxfsk6qbg7-python-2.7.15

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 17, 2018

Success on x86_64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

/build/spruned-0.0.4b4
post-installation fixup
shrinking RPATHs of ELF executables and libraries in /nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4
strip is /nix/store/vcc4svb8gy29g4pam2zja6llkbcwsyiq-binutils-2.30/bin/strip
stripping (with command strip and flags -S) in /nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4/lib  /nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4/bin
patching script interpreter paths in /nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4
checking for references to /build in /nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4...
wrapping `/nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4/bin/spruned'...
/nix/store/2brlr94ahy3a9mvcjy0qbqpv8zrb7b7s-python-2.7.15
/nix/store/pjgip2k6jfk475rrrwcx7k634s1a6k08-spruned-0.0.4b4

@GrahamcOfBorg

This comment has been minimized.

Copy link

commented Nov 17, 2018

Success on aarch64-linux (full log)

Attempted: python, spruned

Partial log (click to expand)

/build/spruned-0.0.4b4
post-installation fixup
shrinking RPATHs of ELF executables and libraries in /nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4
strip is /nix/store/p9akxn2sfy4wkhqdqa3li97pc6jaz3r1-binutils-2.30/bin/strip
stripping (with command strip and flags -S) in /nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4/lib  /nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4/bin
patching script interpreter paths in /nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4
checking for references to /build in /nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4...
wrapping `/nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4/bin/spruned'...
/nix/store/74b1xd5srd6ja54xwznvbrd5hcfl6k1n-python-2.7.15
/nix/store/7wdz2lh5c751594wi002z1vlbjri5v4r-spruned-0.0.4b4

@jb55

This comment has been minimized.

Copy link
Contributor Author

commented Jan 9, 2019

Closing this for now until I have time to fix some issues with it

@jb55 jb55 closed this Jan 9, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.